(: Nombre de condamnations... :)

(: '//' signifie qu'on balaie tous les éléments '<Condamnation>' quelque soit leur niveau de profondeur :)
let $condamnations := doc("./data/Prison_de_Nantes/Prison_de_Nantes.xml")//Condamnation
let $detenus := doc("./data/Prison_de_Nantes/Prison_de_Nantes.xml")/Prison_de_Nantes/Detenu

return <table><tr><th>N°écrou</th><th>Nombre de condamnations</th></tr>
        {
            for $detenu in $detenus 
            return
                    <tr>
                        <td>{data($detenu/n_ecrou)}</td>
                        <td>
                        {
                            let $conviction_number := () (: empty sequence :)
                            return count(
                                for $condamnation in $condamnations   
                                where $condamnation/n_ecrou = $detenu/n_ecrou
                                return insert-before($conviction_number,0,1)
                            )
                        }
                       </td>
                    </tr>
        }
</table>